---
title: Fetch user by ID
slug: content-recommendations/api/fetch-user-by-id
docTags: 
createdAt: 2026-09-02T16:24:40.465Z
---

{
  "id": "t9wfsRwj81sKsO6eDe9bS",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://api.usea01.idio.episerver.net/1.0/users/{id}",
    "servers": [
      {
        "url": "https://{hostname}/1.0/users/{id}",
        "description": "Primary API server",
        "variables": {
          "hostname": {
            "default": "api.usea01.idio.episerver.net",
            "enum": [
              "api.apac01.idio.episerver.net",
              "api.caea01.idio.episerver.net",
              "api.emea01.idio.episerver.net",
              "api.usea01.idio.episerver.net"
            ]
          }
        }
      }
    ],
    "name": "Fetch user by ID",
    "description": "Retrieve detailed information about a specific user.",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "id",
          "type": "string",
          "example": "email:john.doe@example.com",
          "description": "<p>User identifier (numeric ID or 'identifier</p><div></div>' format).<p></p>"
        }
      ],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "key",
          "name": "key",
          "kind": "optional",
          "type": "apiKey",
          "description": "<p>API key required for authentication. Must be provided as a query parameter, for example, <code>?key=YOUR_API_KEY</code>.</p>",
          "in": "query"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "A single user.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\"first_name\":\"Jordan\",\"last_name\":\"Lee\",\"name\":\"Jordan Lee\",\"email\":\"jordan.lee@example.com\",\"service_credentials\":[],\"additional_info\":{\"plan\":\"enterprise\"},\"identifiers\":{\"crm_id\":\"CRM-00987\"}}",
            "description": "",
            "customType": "User",
            "schema": [
              {
                "name": "first_name",
                "kind": "optional",
                "type": "string",
                "description": "First name of the user.",
                "example": "Jordan"
              },
              {
                "name": "last_name",
                "kind": "optional",
                "type": "string",
                "description": "Last name of the user.",
                "example": "Lee"
              },
              {
                "name": "email",
                "kind": "required",
                "type": "string<email>",
                "description": "User's email address.",
                "example": "jordan.lee@example.com",
                "format": "email"
              },
              {
                "name": "service_credentials",
                "kind": "optional",
                "type": "array",
                "description": "",
                "modelRef": "#/components/schemas/ServiceCredentials",
                "customType": "ServiceCredentials",
                "schema": [
                  {
                    "name": "service",
                    "kind": "required",
                    "type": "string<facebook | twitter | linkedin>",
                    "description": "<p>The third-party service this credential belongs to.</p>",
                    "enum": [
                      "facebook",
                      "twitter",
                      "linkedin"
                    ]
                  }
                ]
              },
              {
                "name": "additional_info",
                "kind": "optional",
                "type": "object",
                "description": "",
                "modelRef": "#/components/schemas/Map",
                "customType": "Map",
                "schema": []
              },
              {
                "name": "identifiers",
                "kind": "optional",
                "type": "object",
                "description": "",
                "modelRef": "#/components/schemas/Map",
                "customType": "Map",
                "schema": []
              },
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": "Full name of the user.",
                "example": "Jordan Lee"
              }
            ],
            "modelRef": "#/components/schemas/User",
            "complexItems": [
              {
                "name": "object",
                "schema": [
                  {
                    "name": "first_name",
                    "kind": "optional",
                    "type": "string",
                    "description": "First name of the user.",
                    "example": "Jordan"
                  },
                  {
                    "name": "last_name",
                    "kind": "optional",
                    "type": "string",
                    "description": "Last name of the user.",
                    "example": "Lee"
                  },
                  {
                    "name": "email",
                    "kind": "required",
                    "type": "string<email>",
                    "description": "User's email address.",
                    "example": "jordan.lee@example.com",
                    "format": "email"
                  },
                  {
                    "name": "service_credentials",
                    "kind": "optional",
                    "type": "array",
                    "description": "",
                    "modelRef": "#/components/schemas/ServiceCredentials",
                    "customType": "ServiceCredentials",
                    "schema": [
                      {
                        "name": "service",
                        "kind": "required",
                        "type": "string<facebook | twitter | linkedin>",
                        "description": "<p>The third-party service this credential belongs to.</p>",
                        "enum": [
                          "facebook",
                          "twitter",
                          "linkedin"
                        ]
                      }
                    ]
                  },
                  {
                    "name": "additional_info",
                    "kind": "optional",
                    "type": "object",
                    "description": "",
                    "modelRef": "#/components/schemas/Map",
                    "customType": "Map",
                    "schema": []
                  },
                  {
                    "name": "identifiers",
                    "kind": "optional",
                    "type": "object",
                    "description": "",
                    "modelRef": "#/components/schemas/Map",
                    "customType": "Map",
                    "schema": []
                  }
                ],
                "modelRef": "#/components/schemas/UserCore",
                "customType": "UserCore"
              },
              {
                "name": "object",
                "schema": [
                  {
                    "name": "name",
                    "kind": "required",
                    "type": "string",
                    "description": "Full name of the user.",
                    "example": "Jordan Lee"
                  }
                ]
              }
            ],
            "complexType": "allOf",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "404",
        "description": "User does not exist",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "BcZMPbBHFSaZk0J23LQkQ",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url https://api.usea01.idio.episerver.net/1.0/users/{id} \\\n     --header 'accept: application/json'"
        },
        {
          "id": "-PSdDsJRnLEOCuAHn8VGf",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.usea01.idio.episerver.net/1.0/users/{id}\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "in0rvKxgKpNFnjYmzNI_g",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.usea01.idio.episerver.net/1.0/users/{id}\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "JX3qRFwcXVI8Fvc6sIF5n",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.usea01.idio.episerver.net/1.0/users/{id}\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "BcZMPbBHFSaZk0J23LQkQ"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// A single user.\n{\n  \"first_name\": \"Jordan\",\n  \"last_name\": \"Lee\",\n  \"email\": \"jordan.lee@example.com\",\n  \"service_credentials\": [\n    {\n      \"service\": \"\"\n    }\n  ],\n  \"additional_info\": {},\n  \"identifiers\": {},\n  \"name\": \"Jordan Lee\"\n}"
        },
        {
          "id": "response-1-404",
          "language": "404",
          "code": "// User does not exist\n"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}